Trigger Schedule
POST
/api/v1/workflows/schedules/trigger
const url = 'https://api.ultimateteam.ai/api/v1/workflows/schedules/trigger';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"schedule_id":"example","tenant_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/workflows/schedules/trigger \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "schedule_id": "example", "tenant_id": "example" }'Trigger a scheduled workflow execution.
Called by Cloud Scheduler via HTTP callback. Loads the schedule configuration, resolves the template, and fires the workflow execution in the background.
This endpoint does not require user authentication – it is called by Cloud Scheduler with the schedule_id and tenant_id.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ScheduleTriggerRequest
Request body for triggering a scheduled workflow.
Used by Cloud Scheduler callbacks to fire a scheduled workflow execution.
Attributes: schedule_id: The schedule to trigger. tenant_id: The tenant owning the schedule.
object
schedule_id
required
Schedule Id
string
tenant_id
required
Tenant Id
string
Examplegenerated
{ "schedule_id": "example", "tenant_id": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Trigger Schedule Api V1 Workflows Schedules Trigger Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}